Adobe Flash Player SWF文件DeclareFunction2 ActionScript标签堆溢出漏洞

2008-04-11T00:00:00
ID SSV:3149
Type seebug
Reporter Root
Modified 2008-04-11T00:00:00

Description

BUGTRAQ ID: 28694 CVE(CAN) ID: CVE-2007-6019

Flash Player是一款非常流行的FLASH播放器。

Flash player在试图访问没有正确实例化的嵌入Actionscript对象时存在堆溢出漏洞,如果攻击者恶意修改了SWF文件中的DeclareFunction2 Actionscript标签的话,则用户打开该文件就可能触发堆溢出,导致以当前登录用户的权限执行任意指令。

Adobe Flash Player < 9.0.115.0 Adobe


目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

<a href=http://www.adobe.com/go/getflash target=_blank>http://www.adobe.com/go/getflash</a>

RedHat

RedHat已经为此发布了一个安全公告(RHSA-2008:0221-01)以及相应补丁: RHSA-2008:0221-01:Critical: flash-plugin security update 链接:<a href=https://www.redhat.com/support/errata/RHSA-2008-0221.html target=_blank>https://www.redhat.com/support/errata/RHSA-2008-0221.html</a>